%define ocamlver 3.08.0-alt0.2
Name: pcre-ocaml
Version: 5.04.4
Release: alt6

Summary: PCRE bindings for OCaml
License: LGPL
Group: Development/ML
Url: http://www.ai.univie.ac.at/~markus/ocaml_sources
Packager: Vitaly Lugovsky <vsl@altlinux.ru>

Source: pcre-ocaml-%version.tar.bz2
Requires: ocaml = %ocamlver, findlib >= 1.0.4
Requires: pcre-ocaml-runtime = %version-%release

%set_verify_elf_method textrel=relaxed,rpath=relaxed

BuildRequires: ocaml = %ocamlver, ocamlfind-mini >= 1.0.4, libpcre-devel

%package runtime
Summary: Runtime part of the PCRE bindings for OCaml
Group: Development/ML
Requires: ocaml-runtime = %ocamlver

%description
Perl Compatible Regular Expressions for Objective Caml.

%description runtime
Runtime part of the Perl Compatible Regular Expressions for Objective Caml.

%prep
%setup -q

%build
rm -f Makefile.conf

cat <<EOF >Makefile.conf
export INCDIRS := /usr/include/pcre
EOF

make all
pushd lib
#ocamlopt -nolinkstd -ccopt -L. -shared -o pcre.so stdlib.so.cmxa pcre.cmxa -linkall
rm -f META

cat <<EOF >META
name="pcre"
version="%version"
description="Perl Compatibility Regular Expressions"
requires=""
archive(byte)="pcre.cma"
archive(native)="pcre.cmxa"
EOF
popd #lib


%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/pcre/
mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs/
pushd lib
	cp -p META *.cmi *.mli *.cma *.a *.cmxa *.so $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/pcre/
popd
#(cd $RPM_BUILD_ROOT/usr/lib/ocaml/stublibs; ln -s \
#/usr/lib/ocaml/site-lib/pcre/pcre.so ./; ln -s \
#/usr/lib/ocaml/site-lib/pcre/dllpcre_stubs.so ./)
(cd $RPM_BUILD_ROOT && find usr/lib/ocaml/site-lib ! -type d ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT && find usr/lib/ocaml/stublibs ! -type d !  -name '*.so' -printf "/%%p\n") > runfiles
(cd $RPM_BUILD_ROOT && find usr/lib/ocaml/site-lib -name '*.so' -printf "/%%p\n") >> runfiles

%files -f files
%doc README INSTALL Changes LICENSE

%files -n pcre-ocaml-runtime -f runfiles
%dir %_libdir/ocaml/site-lib/pcre

%changelog
* Sat Jul 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.4-alt6
- rebuild

* Wed Jul 07 2004 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.4-alt5
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 5.04.4-alt4.1
- Non-maintainer upload
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Thu Mar 18 2004 Dmitry V. Levin <ldv@altlinux.org> 5.04.4-alt4
- Rebuilt with ocaml-3.07-alt6.

* Fri Mar 12 2004 Dmitry V. Levin <ldv@altlinux.org> 5.04.4-alt3.1
- Fixed package dependencies.
- Specfile cleanup.

* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.4-alt3
- rebuild

* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.4-alt2
- rebuild

* Tue Dec 16 2003 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.4-alt1
- A new version

* Fri Nov 28 2003 Vitaly Lugovsky <vsl@altlinux.ru> 5.04.3-alt1
- a new version

* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt5s
- rebuild (3.07)

* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt4s
- rebuild (3.07bs)

* Thu Mar 06 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt3s
- runtime part separated

* Fri Jan 31 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt2s
- rebuild with 3.06 [Shared]

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt2
- rebuild

* Sun Oct 27 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.3-alt1
- new version

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.28.2-alt1
- new version

* Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.26.3-alt2
- rebuild: ocaml 3.05

* Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru> 4.26.3-alt1
- First RPM release.
